[arch-commits] Commit in feh/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Thu Mar 4 08:34:17 EST 2010


    Date: Thursday, March 4, 2010 @ 08:34:17
  Author: andrea
Revision: 71120

upgpkg: feh 1.3.5-1
upstream release

Modified:
  feh/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-04 13:08:41 UTC (rev 71119)
+++ PKGBUILD	2010-03-04 13:34:17 UTC (rev 71120)
@@ -4,22 +4,26 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=feh
-pkgver=1.3.4
-pkgrel=6
+pkgver=1.3.5
+pkgrel=1
 pkgdesc="A fast, lightweight image viewer which uses imlib2"
 arch=('i686' 'x86_64')
-url="http://www.linuxbrit.co.uk/feh/"
+url="https://derf.homelinux.org/~derf/projects/feh/"
 license=('MIT')
-depends=('libpng>=1.4.0' 'libxinerama' 'giblib')
+depends=('libpng' 'libxinerama' 'giblib')
 makedepends=('libxt')
-source=(ftp://ftp.archlinux.org/other/$pkgname/$pkgname-$pkgver.tar.gz)
-md5sums=('3d35ba3d2f0693b019800787f1103891')
+source=("https://derf.homelinux.org/~derf/projects/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
+md5sums=('4f4af3138d635e3dc4553ff4ca550891')
 
 build() {
   cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr \
     --mandir=/usr/share/man  || return 1
   make || return 1
-  make DESTDIR=$pkgdir docsdir=/usr/share/doc/feh install || return 1
-  install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }
+
+package(){
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} docsdir=/usr/share/doc/feh install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list